import React from 'react';
import { DevCycleClient, DevCycleUser } from '@devcycle/js-client-sdk';
import { DevCycleServerDataForClient } from '../common/types';
type DevCycleClientsideProviderProps = {
    serverDataPromise: Promise<DevCycleServerDataForClient>;
    sdkKey: string;
    user: DevCycleUser;
    invalidateConfig: (sdkKey: string, date?: number) => Promise<void>;
    enableStreaming: boolean;
    children: React.ReactNode;
};
type ClientProviderContext = {
    client: DevCycleClient;
    sdkKey: string;
    enableStreaming: boolean;
    serverDataPromise: Promise<unknown>;
};
export declare const DevCycleClientContext: React.Context<ClientProviderContext>;
/**
 * Component which renders nothing, but runs code to keep client state in sync with server
 * Also waits for the server's data promise with the `use` hook. This triggers the nearest suspense boundary,
 * so this component is being rendered inside of a Suspense by the DevCycleClientsideProvider.
 * @param serverDataPromise
 * @constructor
 */
export declare const SuspendedProviderInitialization: ({ serverDataPromise, }: Pick<DevCycleClientsideProviderProps, 'serverDataPromise'>) => React.ReactElement;
export declare const DevCycleClientsideProvider: ({ serverDataPromise, sdkKey, enableStreaming, invalidateConfig, user, children, }: DevCycleClientsideProviderProps) => React.ReactElement;
export {};
