import { getBucketedConfig } from './bucketing';
export const getServerSideDevCycle = async (sdkKey, user, context) => {
    const userAgent = context.req.headers['user-agent'];
    const bucketingConfig = await getBucketedConfig(sdkKey, user, userAgent);
    return {
        _devcycleSSR: {
            bucketedConfig: bucketingConfig.config,
            user,
            sdkKey,
            userAgent,
        },
    };
};
export const getStaticDevCycle = async (sdkKey, user) => {
    const bucketingConfig = await getBucketedConfig(sdkKey, user);
    return {
        _devcycleSSR: {
            bucketedConfig: bucketingConfig.config,
            sdkKey,
            user,
        },
    };
};
//# sourceMappingURL=getServerSideDevCycle.js.map