import { jsx as _jsx } from "react/jsx-runtime";
import 'server-only';
import { DevCycleClientsideProvider } from '../client/DevCycleClientsideProvider';
import { getSDKKey, setInitializedPromise } from './requestContext';
import { initialize } from './initialize';
import { getUserIdentity } from './identify';
export const DevCycleServersideProvider = async ({ children, sdkKey, user, invalidateConfig, options, }) => {
    var _a;
    const serverDataPromise = initialize(sdkKey, user, options);
    setInitializedPromise(serverDataPromise);
    if (!(options === null || options === void 0 ? void 0 : options.enableStreaming)) {
        await serverDataPromise;
    }
    const identifiedUser = getUserIdentity();
    if (!identifiedUser) {
        throw new Error("React 'cache' function not working as expected. Please contact DevCycle support.");
    }
    // this renders a client component that provides an instance of DevCycle client to client components via context
    // server data is passed to perform bootstrapping of the server's config on clientside
    return (_jsx(DevCycleClientsideProvider, { serverDataPromise: serverDataPromise, user: identifiedUser, invalidateConfig: invalidateConfig, sdkKey: getSDKKey(), enableStreaming: (_a = options === null || options === void 0 ? void 0 : options.enableStreaming) !== null && _a !== void 0 ? _a : false, children: children }));
};
//# sourceMappingURL=DevCycleServersideProvider.js.map